Bug 1181554

Summary: Please improve manual page regarding clean/no-clean
Product: [Fedora] Fedora Reporter: Jaroslav Škarvada <jskarvad>
Component: mockAssignee: Clark Williams <williams>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: jdisnard, mebrown, msimacek, msuchy, praiskup, williams
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: mock-1.2.6-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-21 23:08:52 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jaroslav Škarvada 2015-01-13 11:19:08 UTC
Description of problem:
Default behaviour of mock (if not overridden in config file):

mock --rebuild --resultdir DIR SRPM
This cleanups chroot dir after the build (it is referred as automatic cleanup in man page)

mock --rebuild SRPM
Thid doesn't cleanup chroot dir after the build.

The current description of this behaviour in manual page is a bit confusing.

Version-Release number of selected component (if applicable):
mock-1.2.3-1.fc21.noarch

How reproducible:
Always

Steps to Reproduce:
1. Check man page

Actual results:
Current text is confusing.

Expected results:
Something like: --resultdir enables automatic cleanup, this can be changed in config file (by cleanup_on_success, cleanup_on_failure configuration options) or overridden by --no-cleanup-after/--cleanup-after arguments.

I think it should be written in resultdir option description.

Additional info:
Currently there is the following text that seems a bit confusing:

--cleanup-after
              Clean chroot after building. Use with --resultdir. Only active for '--rebuild'.

--no-cleanup-after
              Don't clean chroot after building. If automatic cleanup is enabled, use this to disable.

--resultdir=RESULTDIR
              Change directory where resulting files (RPMs and build logs) are written. Resultdir can contain python-string substitutions for any variable in the
              chroot config. For example:

              --resultdir=./my/"%(dist)s"/"%(target_arch)s"/

Comment 1 Miroslav Suchý 2015-01-14 14:40:46 UTC
Committed as :
* 3150254  improve --resultdir part of man page [RHBZ#1181554]

Comment 2 Fedora Update System 2015-01-16 09:56:32 UTC
mock-1.2.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.fc21

Comment 3 Fedora Update System 2015-01-16 09:57:10 UTC
mock-1.2.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.fc20

Comment 4 Fedora Update System 2015-01-16 10:00:55 UTC
mock-1.2.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.el7

Comment 5 Fedora Update System 2015-01-16 10:01:34 UTC
mock-1.2.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.el6

Comment 6 Fedora Update System 2015-01-16 19:10:12 UTC
Package mock-1.2.4-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.2.4-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0312/mock-1.2.4-1.el7
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-01-21 23:08:52 UTC
mock-1.2.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-01-27 03:04:24 UTC
mock-1.2.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-01-28 15:19:58 UTC
mock-1.2.5-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.el7

Comment 10 Fedora Update System 2015-01-28 15:21:19 UTC
mock-1.2.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.el6

Comment 11 Fedora Update System 2015-01-28 15:22:28 UTC
mock-1.2.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.fc20

Comment 12 Fedora Update System 2015-01-28 15:23:41 UTC
mock-1.2.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.fc21

Comment 13 Fedora Update System 2015-02-02 17:22:17 UTC
mock-1.2.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-02-03 04:42:25 UTC
mock-1.2.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.el6

Comment 15 Fedora Update System 2015-02-03 04:43:02 UTC
mock-1.2.6-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.el7

Comment 16 Fedora Update System 2015-02-03 04:43:23 UTC
mock-1.2.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.fc20

Comment 17 Fedora Update System 2015-02-03 04:44:01 UTC
mock-1.2.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.fc21

Comment 18 Fedora Update System 2015-02-09 05:29:15 UTC
mock-1.2.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-02-15 02:55:28 UTC
mock-1.2.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-02-20 00:32:54 UTC
mock-1.2.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-02-20 00:33:45 UTC
mock-1.2.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.